/////////////////////////////////////////////////////////////////////
//
// ImageVector.java :
//
//  A typed vector of RenderedImages
//
/////////////////////////////////////////////////////////////////////
//
// $Revision: 1 $
// $Date: 7/11/03 1:39a $
//
/////////////////////////////////////////////////////////////////////

package com.madsci.zoot;

import java.awt.*;
import java.awt.image.*;
import java.util.*;

public class ImageVector extends Vector
{
	DisplayImage getImg(int n)
	{
		if (size() == 0)
			return new DisplayImage(1, 1, BufferedImage.TYPE_INT_ARGB);

		return (DisplayImage)get(n);
	}
	DisplayImage[] getArray() { return (DisplayImage[])toArray(new DisplayImage[0]); }

	public Dimension getMaxCellSize()
	{
		Dimension dim = new Dimension(1, 1);
		Iterator it = iterator();
		while (it.hasNext())
		{
			DisplayImage di = (DisplayImage)it.next();
			if (di.getWidth() > dim.width)
				dim.width = di.getWidth();
			if (di.getHeight() > dim.height)
				dim.height = di.getHeight();
		}
		return dim;
	}

}

/********************************************************************
 *
 * $Log: /Zoot/src/com/madsci/zoot/ImageVector.java $
 *
 * 1     7/11/03 1:39a Fpoulin
 * Vector of Images
 *
********************************************************************/
