/////////////////////////////////////////////////////////////////////
//
// MainFrame_AboutBox.java :
//
//  About box.
//
/////////////////////////////////////////////////////////////////////
//
// $Revision: 8 $
// $Date: 12/27/09 10:50p $
//
/////////////////////////////////////////////////////////////////////

package com.madsci.zoot;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * The About box. 'nuff said.
 */
public class MainFrame_AboutBox extends JDialog implements ActionListener
{

	JPanel panel1 = new JPanel();
	JPanel panel2 = new JPanel();
	JPanel buttonsPanel = new JPanel();
	JPanel logoPanel = new JPanel();
	JPanel textPanel = new JPanel();
	JButton button1 = new JButton();
	JLabel imageLabel = new JLabel();
	JLabel label1 = new JLabel();
	JLabel label2 = new JLabel();
	JLabel label3 = new JLabel();
	ImageIcon image1 = new ImageIcon();
	BorderLayout borderLayout1 = new BorderLayout();
	BorderLayout borderLayout2 = new BorderLayout();
	FlowLayout flowLayout1 = new FlowLayout();
	String product = Res.get("ZPRODUCTLONG");

// TODO: Use Version file

	// Jay moved the version string of the following line,
	// which he increased to 1.1 for his changes, to the resources file.

	String version = Res.get("VERSION");
	String copyright = "(c) 2003, MadScientist (a.k.a. Francois Poulin)";
	String comments = Res.get("ABOUTCOMMENTS");
	public MainFrame_AboutBox(Frame parent)
	{
		super(parent);
		enableEvents(AWTEvent.WINDOW_EVENT_MASK);
		try
		{
			jbInit();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}
	//Component initialization
	private void jbInit() throws Exception
	{
		JPanel contentPane = (JPanel)this.getContentPane();

		// Jay increased the width from 500 to 540 to be consistent
		// with the help boxes.

		contentPane.setPreferredSize(new Dimension(540, 300));

		image1 = new ImageIcon(com.madsci.zoot.MainFrame.class.getResource("images/zoot128x128.png"));
		imageLabel.setIcon(image1);
		this.setTitle(Res.get("ABOUT"));
		panel1.setLayout(borderLayout1);
		panel2.setLayout(borderLayout2);
		buttonsPanel.setLayout(flowLayout1);
		logoPanel.setLayout(flowLayout1);
		logoPanel.setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
		label1.setText(product);
		label2.setText(version);
		label3.setText(copyright);
		JTextArea taComments = new JTextArea(Res.get("ABOUTCOMMENTS"));
		taComments.setLineWrap(true);
		taComments.setWrapStyleWord(true);
		taComments.setEditable(false);
		taComments.setFocusable(false);
		taComments.setFont(new JButton().getFont());    // Otherwise it comes out strange...
		taComments.invalidate();
		textPanel.setLayout(new BoxLayout(textPanel, BoxLayout.Y_AXIS));
		textPanel.setBorder(BorderFactory.createEmptyBorder(10, 60, 10, 10));
		button1.setText(Res.get("OK"));
		button1.addActionListener(this);
		logoPanel.add(imageLabel, null);
		panel2.add(logoPanel, BorderLayout.WEST);
		this.getContentPane().add(panel1, null);
		textPanel.add(label1, null);
		textPanel.add(Box.createVerticalStrut(5));
		textPanel.add(label2, null);
		textPanel.add(label3, null);
		textPanel.add(Box.createVerticalStrut(10));
		textPanel.add(taComments);
		label1.setAlignmentX(0.0F);
		label2.setAlignmentX(0.0F);
		label3.setAlignmentX(0.0F);
		taComments.setAlignmentX(0.0F);
		panel2.add(textPanel, BorderLayout.CENTER);
		buttonsPanel.add(button1, null);
		panel1.add(buttonsPanel, BorderLayout.SOUTH);
		panel1.add(panel2, BorderLayout.NORTH);
		setResizable(true);
	}
	//Overridden so we can exit when window is closed
	protected void processWindowEvent(WindowEvent e)
	{
		if (e.getID() == WindowEvent.WINDOW_CLOSING)
		{
			cancel();
		}
		super.processWindowEvent(e);
	}
	//Close the dialog
	void cancel()
	{
		dispose();
	}
	//Close the dialog on a button event
	public void actionPerformed(ActionEvent e)
	{
		if (e.getSource() == button1)
		{
			cancel();
		}
	}
}

/********************************************************************
 *
 * $Log: /Zoot/src/com/madsci/zoot/MainFrame_AboutBox.java $
 * 
 * 8    12/27/09 10:50p Jay
 * Move the version string to the resources file and increase the width
 * of the about box.
 * 
 * 7     8/11/03 3:44p Fpoulin
 * Added credits.
 *
 * 5     7/13/03 12:14p Fpoulin
 * Revved the version number.
 *
 * 4     7/08/03 4:39a Fpoulin
 * Added header and log comments.
 *
 ********************************************************************/
