/////////////////////////////////////////////////////////////////////
//
// MainFrame_HelpBox.java :
//
//  Help box.
//
/////////////////////////////////////////////////////////////////////
//
// $Revision: 1 $
// $Date: 12/27/09 10:43p $
//
/////////////////////////////////////////////////////////////////////

// Created by Jay by merging MainFrame_AboutBox and WizardPage,
// with a few minor changes.

package com.madsci.zoot;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

/**
 * The Help box.
 */
public class MainFrame_HelpBox extends JDialog implements ActionListener
{ JPanel contentPane;
    JPanel mainPane = new JPanel();
      GridBagLayout gridbagMainPane = new GridBagLayout();
    Box bottomPane = new Box(BoxLayout.X_AXIS);
  ImageIcon imgZootLogo;
  JButton jbOK;
  JLabel labelSpiel;

  public MainFrame_HelpBox(Frame parent)
  { super(parent);
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);

    try
    { doInit();
    }
    catch(Exception e)
    { e.printStackTrace();
    }
  }

  // Component initialization.

  private void doInit() throws Exception
  { imgZootLogo = new ImageIcon(com.madsci.zoot.MainFrame.class.getResource(
                                                   "images/zoot128x128.png"));

    this.setTitle(Res.get("MAINFRAMEHELPTITLE"));

    // Top-level pane.

    contentPane = (JPanel)this.getContentPane();
    contentPane.setPreferredSize(new Dimension(540, 300));
    contentPane.setLayout(new BorderLayout(10, 10));
    contentPane.add(Box.createVerticalStrut(10), BorderLayout.NORTH);
    contentPane.add(mainPane, BorderLayout.CENTER);
    contentPane.add(bottomPane, BorderLayout.SOUTH);

    // Center pane.

    JLabel jl = new JLabel(imgZootLogo);
    jl.setAlignmentY(0.0F);     // Flush to the top.
    jl.setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));
    JTextArea ta = new JTextArea(Res.get("IHMAINFRAME"));
    ta.setAlignmentY(0.0F);     // Flush to the top.
    ta.setLineWrap(true);
    ta.setWrapStyleWord(true);
    ta.setEditable(false);
    ta.setFocusable(false);
    ta.setFont(new JButton().getFont());    // Otherwise it comes out strange.
    mainPane.setLayout(new BoxLayout(mainPane, BoxLayout.X_AXIS));
    mainPane.add(Box.createHorizontalStrut(20));
    mainPane.add(jl);
    mainPane.add(Box.createHorizontalStrut(20));
    JScrollPane jsp =
      new JScrollPane(ta,
                      ScrollPaneConstants.VERTICAL_SCROLLBAR_AS_NEEDED,
                      ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
    mainPane.add(jsp);
    mainPane.add(Box.createHorizontalStrut(20));

    // Bottom pane.

    jbOK = new JButton(Res.get("OK"));
    this.getRootPane().setDefaultButton(jbOK);
    jbOK.requestFocusInWindow();
    jbOK.addActionListener(this);

    // Create some space above and below button.

    bottomPane.add(Box.createVerticalStrut(40));

    // Add variable space before the button.

    bottomPane.add(Box.createHorizontalGlue());
    bottomPane.add(jbOK);

    // Add variable space after the button.

    bottomPane.add(Box.createHorizontalGlue());
  }

  // Overridden so we can exit when window is closed.

  protected void processWindowEvent(WindowEvent e)
  { if (e.getID() == WindowEvent.WINDOW_CLOSING)
    { cancel();
    }

    super.processWindowEvent(e);
  }

  // Close the dialog.

  void cancel()
  { dispose();
  }

  // Close the dialog on a button event.

  public void actionPerformed(ActionEvent e)
  { if (e.getSource() == jbOK)
    { cancel();
    }
  }
}

/********************************************************************
 *
 * $Log: /Zoot/src/com/madsci/zoot/MainFrame_HelpBox.java $
 * 
 ********************************************************************/
