/////////////////////////////////////////////////////////////////////
//
// Res.java :
//
//  Resource management.
//
/////////////////////////////////////////////////////////////////////
//
// $Revision: 3 $
// $Date: 7/11/03 1:41a $
//
/////////////////////////////////////////////////////////////////////

package com.madsci.zoot;

import java.text.MessageFormat;
import java.util.ResourceBundle;

/**
 * Resource management
 */
class Res
{
	static private ResourceBundle bundle = ResourceBundle.getBundle("com.madsci.zoot.resources.ResBundle");

	//
	// Gets a resource string
	//
	static public String get(String sID)
	{
		try
		{
			return bundle.getString(sID);
		}
		catch (Exception e)
		{
			return sID;
		}
	}

	//
	// Formats a resource string according to an identifier for the format
	// and a bunch of arguments to insert.
	//
	static public String format(String sID, Object args[])
	{
		return MessageFormat.format(get(sID), args);
	}
}

/********************************************************************
 *
 * $Log: /Zoot/src/com/madsci/zoot/Res.java $
 * 
 * 3     7/11/03 1:41a Fpoulin
 * Optimized imports
 *
 * 2     7/08/03 4:39a Fpoulin
 * Added header and log comments.
 *
********************************************************************/
