/////////////////////////////////////////////////////////////////////
//
// MainFrame_AboutBox.java :
//
//  About box.
//
/////////////////////////////////////////////////////////////////////
//
// $Revision: 2 $
// $Date: 12/27/09 10:11p $
//
/////////////////////////////////////////////////////////////////////

package com.madsci.zoot;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

public class WizardPage extends JDialog
{
	JPanel contentPane;
		JPanel mainPane = new JPanel();
			GridBagLayout gridbagMainPane = new GridBagLayout();
		Box bottomPane = new Box(BoxLayout.X_AXIS);

	JLabel labelSpiel;
	JButton jbNext;

	ImageIcon imgZootLogo;

	public WizardPage(Frame parent)
	{
		super(parent, true);
		enableEvents(AWTEvent.WINDOW_EVENT_MASK);
		try
		{
			doInit();
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}

	//Component initialization
	private void doInit() throws Exception
	{
		imgZootLogo = new ImageIcon(com.madsci.zoot.MainFrame.class.getResource(
			"images/zoot128x128.png"));

		this.setTitle(Res.get("DLGWIZARD"));

		//
		// Top-level pane
		//
		contentPane = (JPanel)this.getContentPane();

		// Jay increased the width from 400 to 540 to allow the window
		// to show more.

		contentPane.setPreferredSize(new Dimension(540, 300));
		contentPane.setLayout(new BorderLayout(10, 10));
		contentPane.add(Box.createVerticalStrut(10), BorderLayout.NORTH);
		contentPane.add(mainPane, BorderLayout.CENTER);
		contentPane.add(bottomPane, BorderLayout.SOUTH);

		//
		// Center pane
		//
		JLabel jl = new JLabel(imgZootLogo);
		jl.setAlignmentY(0.0F);     // Flush to the top
		jl.setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));

		JTextArea ta = new JTextArea(Res.get("WIZSPIEL"));
		ta.setAlignmentY(0.0F);     // Flush to the top
		ta.setLineWrap(true);
		ta.setWrapStyleWord(true);
		ta.setEditable(false);
		ta.setFocusable(false);
		ta.setFont(new JButton().getFont());    // Otherwise it comes out strange...

		mainPane.setLayout(new BoxLayout(mainPane, BoxLayout.X_AXIS));
		mainPane.add(Box.createHorizontalStrut(20));
		mainPane.add(jl);
		mainPane.add(Box.createHorizontalStrut(20));

		// Jay changed the original line, which added the text area
		// directly to the main pane, to the following 5 lines so that
		// scroll bars would appear if the text takes more room than
		// what the main pane has.

		JScrollPane jsp =
		  new JScrollPane(ta,
		             ScrollPaneConstants.VERTICAL_SCROLLBAR_AS_NEEDED,
		              ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
		mainPane.add(jsp);
		mainPane.add(Box.createHorizontalStrut(20));

		//
		// Bottom pane
		//
		jbNext = new JButton(Res.get("WIZNEXT"));
		jbNext.setMnemonic(Res.get("WIZNEXTMNEM").charAt(0));
		this.getRootPane().setDefaultButton(jbNext);
		jbNext.requestFocusInWindow();
		jbNext.addActionListener(listenerBtnNext);

		bottomPane.add(Box.createHorizontalGlue());     // Flush button to the right
		bottomPane.add(Box.createVerticalStrut(40));    // Create some space above and below button
		bottomPane.add(jbNext);
		bottomPane.add(Box.createHorizontalStrut(20));  // Create some space right of the button
	}

	ActionListener listenerBtnNext = new ActionListener()
	{
		public void actionPerformed(ActionEvent e)
		{
			WizardPage.this.dispose();
			WizardPage.this.getParent().setVisible(true);
			((MainFrame)WizardPage.this.getParent()).jMenuFileOpenProj_actionPerformed(null);
		}
	};
}

/********************************************************************
 *
 * $Log: /Zoot/src/com/madsci/zoot/MainFrame_AboutBox.java $
 * 
 * 2    12/27/09 10:11p Jay
 * Put the text field in a scrollable pane and increased the window width
 * to show more and to be consistent with the help windows.
 * 
 ********************************************************************/
