/////////////////////////////////////////////////////////////////////
//
// ZTFrameTableModel.java :
//
//  Table Model for displaying a vector of images in a Table in
//  a grid pattern.
//
/////////////////////////////////////////////////////////////////////
//
// $Revision: $
// $Date: $
//
/////////////////////////////////////////////////////////////////////
package com.madsci.zoot;

import javax.swing.table.*;
import javax.swing.*;

public class ZTFrameTableModel extends AbstractTableModel
{
	public static final int MAX_WIDTH = 4;

	private ImageVector vecFrames = null;

	private int nW = 0;
	private int nH = 0;

	public ZTFrameTableModel(ImageVector iv)
	{
		vecFrames = iv;

		int nFrames = iv.size();

		nW = Math.min(nFrames, MAX_WIDTH);
		nH = nFrames / MAX_WIDTH;
		nH += nFrames % MAX_WIDTH == 0 ? 0 : 1;
	}

	public int getRowCount() { return nH; }
	public int getColumnCount() { return nW; }
	public String getColumnName(int columnIndex) { return null; }
	public Class getColumnClass(int columnIndex) { return ImageIcon.class; }

	public boolean isCellEditable(int rowIndex, int columnIndex)
	{
		return ((rowIndex * MAX_WIDTH) + columnIndex) < vecFrames.size();
	}

	public int getIndexOf(int nRow, int nCol) { return (nRow * MAX_WIDTH) + nCol; }
	public int getRowOfIndex(int nIdx) { return (nIdx)/MAX_WIDTH; }
	public int getColOfIndex(int nIdx) { return (nIdx)%MAX_WIDTH; }

	public int getImageCount() { return vecFrames.size(); }

	public Object getValueAt(int nRow, int nCol)
	{
		Object o = null;
		try
		{
			o = new ImageIcon(vecFrames.getImg((nRow * MAX_WIDTH) + nCol));
		}
		catch (ArrayIndexOutOfBoundsException aiob) { }

		return o;
	}
}

/********************************************************************
 *
 * $Log: $
 *
********************************************************************/
