/////////////////////////////////////////////////////////////////////
//
// Zoot.java :
//
//  Main class for the Zoot program.
//
/////////////////////////////////////////////////////////////////////
//
// $Revision: 4 $
// $Date: 12/27/09 4:21p $
//
/////////////////////////////////////////////////////////////////////

package com.madsci.zoot;

import java.awt.*;
import javax.swing.*;


/**
 * Main class for the Zoot program.
 */
public class Zoot
{
	boolean packFrame = false;

	// Construct the application.
	// Jay added the args argument so the main frame can use it.

	public Zoot(String[] args)
	{
		// Jay added the args argument so the main frame can use it.

		MainFrame frame = new MainFrame(args);
		//Validate frames that have preset sizes
		//Pack frames that have useful preferred size info, e.g. from their layout
		if (packFrame)
		{
			frame.pack();
		}
		else
		{
			frame.validate();
		}
		//Center the window
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		Dimension frameSize = frame.getSize();
		if (frameSize.height > screenSize.height)
		{
			frameSize.height = screenSize.height;
		}
		if (frameSize.width > screenSize.width)
		{
			frameSize.width = screenSize.width;
		}
		frame.setLocation((screenSize.width - frameSize.width) / 2,
						  (screenSize.height - frameSize.height) / 2);

		frame.doStart();
	}

	//Main method
	public static void main(String[] args)
	{
		try
		{
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}

		// Jay added the args argument so the main frame can use it.

		new Zoot(args);
	}
}

/********************************************************************
 *
 * $Log: /Zoot/src/com/madsci/zoot/Zoot.java $
 *
 * 5    12/27/09 4:21p Jay
 * Pass the args argument to the main frame.
 * 
 * 4     8/11/03 3:43p Fpoulin
 * Added wizard page for new installs.
 *
 * 3     7/11/03 1:41a Fpoulin
 * Optimized imports
 *
 * 2     7/08/03 4:40a Fpoulin
 * Added header and log comments.
 *
********************************************************************/
